> For the complete documentation index, see [llms.txt](https://docs.trustlesswork.com/trustless-work/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.trustlesswork.com/trustless-work/v1-es/escrow-react-sdk/escrows.md).

# Escrows

- [useInitializeEscrow](https://docs.trustlesswork.com/trustless-work/v1-es/escrow-react-sdk/escrows/useinitializeescrow.md): Despliega el contrato escrow y define las propiedades del escrow.
- [useUpdateEscrow](https://docs.trustlesswork.com/trustless-work/v1-es/escrow-react-sdk/escrows/useupdateescrow.md): Este endpoint te permite cambiar las propiedades de un escrow siempre que se cumpla una serie de requisitos, los cuales se mencionarán en esta sección.
- [useFundEscrow](https://docs.trustlesswork.com/trustless-work/v1-es/escrow-react-sdk/escrows/usefundescrow.md): Permite a los usuarios depositar fondos en un contrato escrow existente, protegiéndolos hasta que se cumplan las condiciones acordadas.
- [useApproveMilestone](https://docs.trustlesswork.com/trustless-work/v1-es/escrow-react-sdk/escrows/useapprovemilestone.md): Responsable de modificar la propiedad "flag" de un hito específico en el escrow para aprobar ese hito.
- [useChangeMilestoneStatus](https://docs.trustlesswork.com/trustless-work/v1-es/escrow-react-sdk/escrows/usechangemilestonestatus.md): Responsable de modificar la propiedad "status" de un hito específico en el escrow.
- [useReleaseFunds](https://docs.trustlesswork.com/trustless-work/v1-es/escrow-react-sdk/escrows/usereleasefunds.md): Libera los fondos del escrow al proveedor de servicios a través del aprobador.
- [useStartDispute](https://docs.trustlesswork.com/trustless-work/v1-es/escrow-react-sdk/escrows/usestartdispute.md): Responsable de establecer el escrow en estado de disputa. Cambia el valor de la propiedad de bandera "disputed" del escrow a true.
- [useResolveDispute](https://docs.trustlesswork.com/trustless-work/v1-es/escrow-react-sdk/escrows/useresolvedispute.md): Resuelve las disputas del escrow distribuyendo los fondos al aprobador y al proveedor de servicios según lo determine el resolver de disputas.
- [useWithdrawRemainingFunds](https://docs.trustlesswork.com/trustless-work/v1-es/escrow-react-sdk/escrows/usewithdrawremainingfunds.md): En un escrow de liberación múltiple, cuando algunos fondos están bloqueados, puedes usar este hook para liberar los fondos restantes


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.trustlesswork.com/trustless-work/v1-es/escrow-react-sdk/escrows.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
